Installation

tbeu edited this page Jan 23, 2015 · 24 revisions
Clone this wiki locally

Python requirements

Mandatory libraries and extension packages

Optional libraries and extension packages

  • Some plugins have additional package dependencies:
  • Python-sundials == 0.5 (required by FMUSimulatorDLR plugin, mirror)
  • Assimulo >= 2.3 (required by FMUSimulator and FMUSimulatorDLR plugin, mirror)
  • PyWin32 (required by SimulationX plugin)
  • PyRecon >= 0.3 (required by ReconMeld plugin)
  • Msgpack-python >= 0.4 (required by ReconMeld plugin)
  • DyMat >= 0.5 (required by ReconMeld plugin)
  • OMPython >= 2.0 (required by OpenModelica plugin)
  • BeautifulSoup >= 4.3.2 (required by Testing plugin)

Setup steps

  • Start "Install PySimulator.bat".
  • Download and install python-sundials and Assimulo packages if not yet downloaded or installed.
  • Run PySimulator by clicking on the desktop icon after the installation.

Known problems

  • What to do if PySimulator fails to export charts as rasterized images? See #9 for a possible solution.